# Mysticons – Sprint03

## Suunnittelu:

Avoimiin oviin valmistautuminen jatkuu edelliseltä sprintiltä. Postataan somessa avoimista muistutusta ja yritetään saada sillä kiinnostuneita katsomaan. Koitetaan laittaa joku oma teaseripostaus Mysticonsin touhuista. Tykätään, jaetaan ja kommentoidaan muiden Wimmalaisten postauksia avoimista. Toteutetaan powerpoint avoimiin, jota voidaan käyttää pohjana oman tiimin puheenvuoroissa. Demon videointi siirtyi viime sprintiltä tälle sprintille. Ennen kuvausta hiotaan ja varmistellaan, että kaikki varmasti toimii. Livenä voidaan demota ympäristön pystytystä skriptillä. Kunhan saadaan hiominen valmiiksi, voidaan skripteistä kääntää Ansiblen playbook, mutta se on edessä todennäköisesti vasta sitten, kun ollaan paljon pidemmällä ja vaiheita on enemmän.

Sprintillä jatketaan pipelinejen opiskelua ja suunnittelua. Toisille tiimeille on esitetty pyyntö, että laittaisivat meille tiedoksi mitä toiveita ja tarpeita heillä olisi pipelinejen suhteen. Power Automatekin pääsee vauhtiin, kun lisenssi saatiin viime sprintin lopulla. Siitäkin joku pieni demo/muu näyttö avoimiin on suunnitteilla. Lisäksi aletaan hahmotella ja suunnitella millaisia kokonaisuuksia olisi hyvä ajaa Kuberneteksessa (microservice arkkitehtuuri). 

#### Esimerkkejä sprintin taskeista:
-	Demojen valmistaminen avoimiin
-	Esimerkki pipelinen toteutus
-	Kirjoita pitchaus avoimiin oviin
-	Päivitä sidoryhmä kuvaukset repoon
-	

## Arvio sprintin taskien suorittamisesta:

Tällä viikolla avoimien ovien hommiin upposi odotettua enemmän aikaan, mutta se toivottavasti kannatti. Mysticonsilla on hyvä ja kattava esitys avoimiin ja tiimiläiset ovat valmistautuneita itse tapahtumaan. Ensi viikolla hommia päästään jatkamaan sitten ilman avoimien ovien kaltaista mörköä takaraivossa ja päästään juttelemaan Overflown ja IoTituden väen kanssa paremmin yhteistyöstä ja tehtävien jaosta. 

Kuten sprint02lla, osa sprint03n taskeista jatkuu sprint04lla. Tämä oli toki odotettavaa, koska kyseessä olevat taskit ovat selvitys ja uuden opiskeluun liittyviä. Kuten deployment Gitistä Kubernetekseen, robot frameworkin opiskelu, microservice arkkitehtuuri hommat ja ITILin kertaus. Taskien jatkaminen seuraavalle sprintille ei vielä aiheuta huolta, sillä tälläkin viikkoa tiimi on edennyt hyvin ja saanut ratkottua haasteita. Esimerkikis Power Automate saatiin vasta kokonaisuudessaan käyttöön tällä viikolla ja sillä on onnistuttu luomaan jo enemmän toiminnallisuuksia omaavia floweja.

Alkuviikosta pidetty keskustelu tilaisuus Narsun kanssa antoi suuntaa, johon projektia ruvetaan seuraavien sprinttien aikana viemään.

## Review:

Avoimien ovien demo oli hyvä, asiallinen paketti saatiin kasaan ja esitys meni hyvin. Valitettavasti yleisöltä ei tullut kauheasti kysymyksiä, mutta päästiin esittelemään mitä on saatu kasaan tähän asti ja mitä on tulossa tulevaisuudessa. Kaiken kaikkiaan Avoimia pidettiin tiimin kesken onnistuneena, koska tiimi pääsi harjoittelemaan asiantuntijan roolissa olemista. Sulkana hattuun Kubernetes gurulta saatiin kannustavaa palautetta.
 

Pipelinejä saatiin pyörimään vähän paremmin ja useammilla ominaisuuksilla. Vielä ei deploymentti gitistä Kubernetekseen toimi, se on isossa osassa seuraavan sprintin tehtävissä. Tässä vaiheessa deploymentti on saatava seuraavaksi toimimaan, jotta pipelinejen ja muiden jatkokehitys olisi järkevää.

 
Kuten aiemmin mainittiin Power Automatella saatiin jo aikaiseksi haastavampia floweja, lisäksi Power Automatella onnistuttiin yhdistämään Gitiä ja Teamssia siin, että Teams kanavalle tietyllä trickerillä varustettu viesti luo Gitin repoon uuden md-filun, lisäksi toisella trickerillä on mahdollista muokata filun sisältöä. Havaintona PAn tekemät muutokset vievät aikaa, eivätkä tapahdu hetkessä.
 
